import s from "./index-getThemeProps.js";
import p from "./index-useTheme2.js";
function n({
  props: r,
  name: o,
  defaultTheme: m,
  themeId: t
}) {
  let e = p(m);
  return e = e[t] || e, s({
    theme: e,
    name: o,
    props: r
  });
}
export {
  n as default
};
